## gdb-doc 7.12

=== gdb/features/Makefile ===
# Copyright (C) 2007-2016 Free Software Foundation, Inc.

# This file is part of GDB.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


# This file requires GNU make!

# This Makefile updates files in ../regformats from their XML master
# copies.  Because this relies on xsltproc, it is not normally run
# during the build process; it should be run by hand when one of the
# affected XML files is changed, and the results should be kept in the
# GDB repository.

# It can also update the C files in the features directory from their
# XML master copies.  This relies on a GDB linked with expat and that
# is configured to include support for the architecture, so the files
# are kept in the GDB repository.
#
# By default we'll generate all C files, and you must point make at a
# GDB that has been configured with --enable-targets=all:
#
#   make GDB=/path/to/gdb cfiles
#
# To regenerate all C files from scratch:
#
#   make GDB=/path/to/gdb clean-cfiles cfiles
#
# To generate specific C files, you can override the XMLTOC make
# variable:
#
#   make GDB=/path/to/gdb XMLTOC="xml files" cfiles

WHICH = aarch64 \
	arm-with-iwmmxt arm-with-vfpv2 arm-with-vfpv3 arm-with-neon \
	i386/i386 i386/i386-linux \
	i386/i386-mmx i386/i386-mmx-linux \
	i386/amd64 i386/amd64-linux \
	i386/i386-avx i386/i386-avx-linux \
	i386/i386-mpx i386/i386-mpx-linux \
	i386/i386-avx-mpx i386/i386-avx-mpx-linux \
	i386/i386-avx512 i386/i386-avx512-linux \
	i386/amd64-avx i386/amd64-avx-linux \
	i386/amd64-mpx i386/amd64-mpx-linux \
	i386/amd64-avx-mpx i386/amd64-avx-mpx-linux \
	i386/amd64-avx512 i386/amd64-avx512-linux \
	i386/x32 i386/x32-linux \
	i386/x32-avx i386/x32-avx-linux \
	i386/x32-avx512 i386/x32-avx512-linux \
	mips-linux mips-dsp-linux \
	microblaze-with-stack-protect \
	mips64-linux mips64-dsp-linux \
	nios2-linux \
	rs6000/powerpc-32 \
	rs6000/powerpc-32l rs6000/powerpc-altivec32l rs6000/powerpc-e500l \
	rs6000/powerpc-64l rs6000/powerpc-altivec64l rs6000/powerpc-vsx32l \
	rs6000/powerpc-vsx64l rs6000/powerpc-cell32l rs6000/powerpc-cell64l \
	s390-linux32 s390-linux64 s390x-linux64 \
	s390-linux32v1 s390-linux64v1 s390x-linux64v1 \
	s390-linux32v2 s390-linux64v2 s390x-linux64v2 \
	s390-te-linux64 s390x-te-linux64 s390-vx-linux64 s390x-vx-linux64 \
	s390-tevx-linux64 s390x-tevx-linux64 \
	tic6x-c64xp tic6x-c64x tic6x-c62x \
	tic6x-c64xp-linux tic6x-c64x-linux tic6x-c62x-linux

# Record which registers should be sent to GDB by default after stop.
aarch64-expedite = x29,sp,pc
arm-expedite = r11,sp,pc
i386/i386-expedite = ebp,esp,eip
i386/i386-linux-expedite = ebp,esp,eip
i386/amd64-expedite = rbp,rsp,rip
i386/amd64-linux-expedite = rbp,rsp,rip
i386/i386-avx-expedite = ebp,esp,eip
i386/i386-avx-linux-expedite = ebp,esp,eip
i386/i386-mpx-expedite = ebp,esp,eip
i386/i386-avx-mpx-expedite = ebp,esp,eip
i386/i386-mpx-linux-expedite = ebp,esp,eip
i386/i386-avx-mpx-linux-expedite = ebp,esp,eip
i386/i386-avx512-expedite = ebp,esp,eip
i386/i386-avx512-linux-expedite = ebp,esp,eip
i386/i386-mmx-expedite = ebp,esp,eip
i386/i386-mmx-linux-expedite = ebp,esp,eip
i386/amd64-avx-expedite = rbp,rsp,rip
i386/amd64-avx-linux-expedite = rbp,rsp,rip
i386/amd64-mpx-expedite = rbp,rsp,rip
i386/amd64-avx-mpx-expedite = rbp,rsp,rip
i386/amd64-mpx-linux-expedite = rbp,rsp,rip
i386/amd64-avx-mpx-linux-expedite = rbp,rsp,rip
i386/amd64-avx512-expedite = rbp,rsp,rip
i386/amd64-avx512-linux-expedite = rbp,rsp,rip
i386/x32-expedite = rbp,rsp,rip
i386/x32-linux-expedite = rbp,rsp,rip
i386/x32-avx-expedite = rbp,rsp,rip
i386/x32-avx-linux-expedite = rbp,rsp,rip
i386/x32-avx512-expedite = rbp,rsp,rip
i386/x32-avx512-linux-expedite = rbp,rsp,rip
mips-expedite = r29,pc
mips-dsp-expedite = r29,pc
mips64-expedite = r29,pc
mips64-dsp-expedite = r29,pc
microblaze-expedite = r1,rpc
nios2-linux-expedite = sp,pc
powerpc-expedite = r1,pc
rs6000/powerpc-cell32l-expedite = r1,pc,r0,orig_r3,r4
rs6000/powerpc-cell64l-expedite = r1,pc,r0,orig_r3,r4
s390-linux32-expedite = r14,r15,pswa
s390-linux32v1-expedite = r14,r15,pswa
s390-linux32v2-expedite = r14,r15,pswa
s390-linux64-expedite = r14l,r15l,pswa
s390-linux64v1-expedite = r14l,r15l,pswa
s390-linux64v2-expedite = r14l,r15l,pswa
s390-te-linux64-expedite = r14l,r15l,pswa
s390-vx-linux64-expedite = r14l,r15l,pswa
s390-tevx-linux64-expedite = r14l,r15l,pswa
s390x-linux64-expedite = r14,r15,pswa
s390x-linux64v1-expedite = r14,r15,pswa
s390x-linux64v2-expedite = r14,r15,pswa
s390x-te-linux64-expedite = r14,r15,pswa
s390x-vx-linux64-expedite = r14,r15,pswa
s390x-tevx-linux64-expedite = r14,r15,pswa
tic6x-c64xp-expedite = A15,PC
tic6x-c64x-expedite = A15,PC
tic6x-c62x-expedite = A15,PC
tic6x-c64xp-linux-expedite = A15,PC
tic6x-c64x-linux-expedite = A15,PC
tic6x-c62x-linux-expedite = A15,PC


XSLTPROC = xsltproc
outdir = ../regformats
OUTPUTS = $(patsubst %,$(outdir)/%.dat,$(WHICH))

# The set of xml files we'll generate .c files for GDB from.  By
# default we'll build all .c files, which requires an
# --enable-targets=all GDB.  You can override this by passing XMLTOC
# to make on the command line.
XMLTOC = \
	aarch64.xml \
	arm-with-iwmmxt.xml \
	arm-with-m-fpa-layout.xml \
	arm-with-m-vfp-d16.xml \
	arm-with-m.xml \
	arm-with-neon.xml \
	arm-with-vfpv2.xml \
	arm-with-vfpv3.xml \
	i386/amd64-avx-linux.xml \
	i386/amd64-avx.xml \
	i386/amd64-avx512-linux.xml \
	i386/amd64-avx512.xml \
	i386/amd64-linux.xml \
	i386/amd64-mpx-linux.xml \
	i386/amd64-mpx.xml \
	i386/amd64-avx-mpx-linux.xml \
	i386/amd64-avx-mpx.xml \
	i386/amd64.xml \
	i386/i386-avx-linux.xml \
	i386/i386-avx.xml \
	i386/i386-avx512-linux.xml \
	i386/i386-avx512.xml \
	i386/i386-linux.xml \
	i386/i386-mmx-linux.xml \
	i386/i386-mmx.xml \
	i386/i386-mpx-linux.xml \
	i386/i386-mpx.xml \
	i386/i386-avx-mpx-linux.xml \
	i386/i386-avx-mpx.xml \
	i386/i386.xml \
	i386/x32-avx-linux.xml \
	i386/x32-avx.xml \
	i386/x32-avx512-linux.xml \
	i386/x32-avx512.xml \
	i386/x32-linux.xml \
	i386/x32.xml \
	microblaze-with-stack-protect.xml \
	microblaze.xml \
	mips-dsp-linux.xml \
	mips-linux.xml \
	mips64-dsp-linux.xml \
	mips64-linux.xml \
	nds32.xml \
	nios2-linux.xml \
	nios2.xml \
	rs6000/powerpc-32.xml \
	rs6000/powerpc-32l.xml \
	rs6000/powerpc-403.xml \
	rs6000/powerpc-403gc.xml \
	rs6000/powerpc-405.xml \
	rs6000/powerpc-505.xml \
	rs6000/powerpc-601.xml \
	rs6000/powerpc-602.xml \
	rs6000/powerpc-603.xml \
	rs6000/powerpc-604.xml \
	rs6000/powerpc-64.xml \
	rs6000/powerpc-64l.xml \
	rs6000/powerpc-7400.xml \
	rs6000/powerpc-750.xml \
	rs6000/powerpc-860.xml \
	rs6000/powerpc-altivec32.xml \
	rs6000/powerpc-altivec32l.xml \
	rs6000/powerpc-altivec64.xml \
	rs6000/powerpc-altivec64l.xml \
	rs6000/powerpc-cell32l.xml \
	rs6000/powerpc-cell64l.xml \
	rs6000/powerpc-e500.xml \
	rs6000/powerpc-e500l.xml \
	rs6000/powerpc-isa205-32l.xml \
	rs6000/powerpc-isa205-64l.xml \
	rs6000/powerpc-isa205-altivec32l.xml \
	rs6000/powerpc-isa205-altivec64l.xml \
	rs6000/powerpc-isa205-vsx32l.xml \
	rs6000/powerpc-isa205-vsx64l.xml \
	rs6000/powerpc-vsx32.xml \
	rs6000/powerpc-vsx32l.xml \
	rs6000/powerpc-vsx64.xml \
	rs6000/powerpc-vsx64l.xml \
	rs6000/rs6000.xml \
	s390-linux32.xml \
	s390-linux32v1.xml \
	s390-linux32v2.xml \
	s390-linux64.xml \
	s390-linux64v1.xml \
	s390-linux64v2.xml \
	s390-te-linux64.xml \
	s390x-linux64.xml \
	s390x-linux64v1.xml \
	s390x-linux64v2.xml \
	s390x-te-linux64.xml \
	tic6x-c62x-linux.xml \
	tic6x-c62x.xml \
	tic6x-c64x-linux.xml \
	tic6x-c64x.xml \
	tic6x-c64xp-linux.xml \
	tic6x-c64xp.xml

CFILES = $(patsubst %.xml,%.c,$(XMLTOC))
GDB = false

all: $(OUTPUTS)

$(outdir)/%.dat: %.xml number-regs.xsl sort-regs.xsl gdbserver-regs.xsl
	echo "# THIS FILE IS GENERATED.  -*- buffer-read-only: t -*- vi :set ro:" > $(outdir)/$*.tmp
	echo "# Generated from: $<" >> $(outdir)/$*.tmp
	echo "name:`echo $(notdir $*) | sed 's/-/_/g'`" >> $(outdir)/$*.tmp
	echo "xmltarget:$(<F)" >> $(outdir)/$*.tmp
	echo "expedite:$(if $($*-expedite),$($*-expedite),$($(firstword $(subst -, ,$(notdir $*)))-expedite))" \
	  >> $(outdir)/$*.tmp
	$(XSLTPROC) --path "$(PWD)" --xinclude number-regs.xsl $< | \
	  $(XSLTPROC) sort-regs.xsl - | \
	  $(XSLTPROC) gdbserver-regs.xsl - >> $(outdir)/$*.tmp
	sh ../../move-if-change $(outdir)/$*.tmp $(outdir)/$*.dat

cfiles: $(CFILES)
%.c: %.xml
	$(GDB) -nx -q -batch \
	  -ex "set tdesc filename $<" -ex 'maint print c-tdesc' > $@.tmp
	sh ../../move-if-change $@.tmp $@

# Other dependencies.
$(outdir)/arm-with-iwmmxt.dat: arm-core.xml xscale-iwmmxt.xml
$(outdir)/i386/i386.dat: i386/32bit-core.xml i386/32bit-sse.xml
$(outdir)/i386/i386-linux.dat: i386/32bit-core.xml i386/32bit-sse.xml \
			       i386/32bit-linux.xml
$(outdir)/i386/amd64.dat: i386/64bit-core.xml i386/64bit-sse.xml
$(outdir)/i386/amd64-linux.dat: i386/64bit-core.xml i386/64bit-sse.xml \
			        i386/64bit-linux.xml
$(outdir)/i386/i386-avx.dat: i386/32bit-core.xml i386/32bit-avx.xml
$(outdir)/i386/i386-avx-linux.dat: i386/32bit-core.xml i386/32bit-avx.xml \
			       i386/32bit-linux.xml
$(outdir)/i386/i386-mpx.dat: i386/32bit-core.xml i386/32bit-avx.xml \
			       i386/32bit-mpx.xml
$(outdir)/i386/i386-mpx-linux.dat: i386/32bit-core.xml 	i386/32bit-avx.xml \
			       i386/32bit-linux.xml i386/32bit-mpx.xml
$(outdir)/i386/i386-mpx-linux.dat: i386/32bit-core.xml \
			       i386/32bit-linux.xml i386/32bit-mpx.xml
$(outdir)/i386/i386-avx-mpx-linux.dat: i386/32bit-core.xml \
			       i386/32bit-linux.xml i386/32bit-mpx.xml
$(outdir)/i386/i386-avx512.dat: i386/32bit-core.xml i386/32bit-avx.xml \
			       i386/32bit-mpx.xml i386/32bit-avx512.xml
$(outdir)/i386/i386-avx512-linux.dat: i386/32bit-core.xml i386/32bit-avx.xml \
			       i386/32bit-linux.xml i386/32bit-mpx.xml i386/32bit-avx512.xml
$(outdir)/i386/i386-mmx.dat: i386/32bit-core.xml 
$(outdir)/i386/i386-mmx-linux.dat: i386/32bit-core.xml i386/32bit-linux.xml
$(outdir)/i386/amd64-avx.dat: i386/64bit-core.xml i386/64bit-avx.xml
$(outdir)/i386/amd64-avx-linux.dat: i386/64bit-core.xml i386/64bit-avx.xml \
				    i386/64bit-linux.xml
$(outdir)/i386/amd64-mpx-linux.dat: i386/64bit-core.xml i386/64bit-avx.xml \
			       i386/64bit-linux.xml i386/64bit-mpx.xml
$(outdir)/i386/amd64-avx-mpx-linux.dat: i386/64bit-core.xml \
			       i386/64bit-linux.xml i386/64bit-mpx.xml
$(outdir)/i386/amd64-mpx.dat: i386/64bit-core.xml i386/64bit-avx.xml \
			       i386/64bit-mpx.xml
$(outdir)/i386/amd64-avx-mpx.dat: i386/64bit-core.xml \
			       i386/64bit-mpx.xml
$(outdir)/i386/amd64-avx512.dat: i386/64bit-core.xml i386/64bit-avx.xml \
			       i386/64bit-mpx.xml i386/64bit-avx512.xml
$(outdir)/i386/amd64-avx512-linux.dat: i386/64bit-core.xml i386/64bit-avx.xml \
			       i386/64bit-mpx.xml i386/64bit-avx512.xml \
			       i386/64bit-linux.xml
$(outdir)/i386/x32.dat: i386/x32-core.xml i386/64bit-sse.xml
$(outdir)/i386/x32-linux.dat: i386/x32-core.xml i386/64bit-sse.xml \
			      i386/64bit-linux.xml
$(outdir)/i386/x32-avx.dat: i386/x32-core.xml i386/64bit-avx.xml
$(outdir)/i386/x32-avx-linux.dat: i386/x32-core.xml i386/64bit-avx.xml \
				  i386/64bit-linux.xml
$(outdir)/i386/x32-avx512.dat: i386/x32-core.xml i386/64bit-avx.xml \
			       i386/64bit-mpx.xml i386/64bit-avx512.xml
$(outdir)/i386/x32-avx512-linux.dat: i386/x32-core.xml i386/64bit-avx.xml \
			       i386/64bit-mpx.xml i386/64bit-avx512.xml i386/64bit-linux.xml

# 'all' doesn't build the C files, so don't delete them in 'clean'
# either.
clean-cfiles:
	rm -f $(CFILES)

clean:

## gdb-doc 7.1

=== debian/changelog ===
gdb-doc (7.1-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.8.4 (no changes required).
  * Switch to 3.0 (quilt) source package format.

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 19 Mar 2010 16:25:16 -0400

gdb-doc (7.0-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Jacobowitz <dan@debian.org>  Tue, 13 Oct 2009 18:21:46 -0400

gdb-doc (6.8.50.20090628-1) unstable; urgency=low

  * New upstream snapshot.
  * Include HTML manuals.
  * Update Standards-Version to 3.8.2 (no changes required).
  * Added doc-base support.
  * Remove the accidentally packaged annotations manual.

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 05 Jul 2009 19:08:27 -0400

gdb-doc (6.8-1) unstable; urgency=low

  * New upstream release.
  * Trim changelog from the gdb package.
  * Clean up quilt build dependency.
  * Update Standards-Version to 3.7.3 (no changes required).

 -- Daniel Jacobowitz <dan@debian.org>  Thu, 27 Mar 2008 18:13:18 -0400

gdb-doc (6.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 03 Dec 2007 10:16:12 -0500

gdb-doc (6.6.90.20070912-1) unstable; urgency=low

  * New upstream release.
  * Update copyright notice.

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 17 Sep 2007 15:46:47 -0400

gdb-doc (6.6-1) unstable; urgency=low

  * New upstream release.
  * Change priority to optional.

 -- Daniel Jacobowitz <dan@debian.org>  Sat, 27 Jan 2007 22:00:26 -0500

gdb-doc (6.5-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.7.2 (no changes required).

 -- Daniel Jacobowitz <dan@debian.org>  Fri,  3 Nov 2006 00:48:36 -0500

gdb-doc (6.4.90-1) unstable; urgency=low

  * New upstream release (GDB 6.5 prerelease).

 -- Daniel Jacobowitz <dan@debian.org>  Tue,  6 Jun 2006 09:01:23 -0400

gdb-doc (6.4.50.20060511-2) unstable; urgency=low

  * Correct a typo in debian/gdb-doc.info which caused install-info
    to be skipped.

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 12 May 2006 09:03:07 -0400

gdb-doc (6.4.50.20060511-1) unstable; urgency=low

  * New package, containing only the GDB manuals, based on the previous
    GDB packaging.
  * Update debian/copyright for the current version of the FDL and the new
    FSF address.

 -- Daniel Jacobowitz <dan@debian.org>  Thu, 11 May 2006 15:17:33 -0400

=== debian/control ===
Source: gdb-doc
Maintainer: Daniel Jacobowitz <dan@debian.org>
Section: non-free/devel
Priority: optional
Standards-Version: 3.8.4
Build-Depends: cdbs (>= 0.4.17), debhelper (>= 7)
Build-Depends-Indep: autoconf, texinfo (>= 4.7-2.2)

Package: gdb-doc
Architecture: all
Section: non-free/doc
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: gdb (<< 6.4.50.20060511-1), insight (<< 6.1+cvs.2004.04.07-1)
Description: The GNU Debugger Documentation
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, it works for C, C++, Fortran,
 Modula 2 and Java programs. A must-have for any serious
 programmer.
 .
 This package contains the GDB and GDB Internals manuals.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILDDIR = objdir

# This implements the .deb package creation using debhelper.
include /usr/share/cdbs/1/rules/debhelper.mk

# This implements building using a configure script and Makefile.
include /usr/share/cdbs/1/class/autotools.mk

# Override to only configure documentation.
DEB_CONFIGURE_SCRIPT = $(CURDIR)/gdb/doc/configure

# Rather paranoid than sorry. Make the shell exit with an error if an
# untested command fails.
SHELL += -e

INSTALL = /usr/bin/install -p
export INSTALL

DEB_MAKE_BUILD_TARGET = all info html

build/gdb-doc:: $(DEB_BUILDDIR)/html

$(DEB_BUILDDIR)/html:
	mkdir $(DEB_BUILDDIR)/html
	mv $(DEB_BUILDDIR)/gdb $(DEB_BUILDDIR)/html/
	mv $(DEB_BUILDDIR)/gdbint $(DEB_BUILDDIR)/html/
	mv $(DEB_BUILDDIR)/stabs $(DEB_BUILDDIR)/html/

common-binary-post-install-indep::
	rm -f debian/gdb-doc/usr/share/info/annota*
	install -d debian/gdb-doc/usr/share/doc/gdb
	ln -s ../gdb-doc/html debian/gdb-doc/usr/share/doc/gdb/html

post-patches::
	if ! test -f gdb/version.in.backup; then \
	  mv -f gdb/version.in gdb/version.in.backup; \
	  sed -e 's/$$/-debian/' < gdb/version.in.backup > gdb/version.in; \
	fi

clean::
	if test -f gdb/version.in.backup; then \
	  mv -f gdb/version.in.backup gdb/version.in; \
	fi

## gdb-doc 7.2

=== debian/changelog ===
gdb-doc (7.2-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 06 Sep 2010 18:57:04 -0400

## gdb-doc 7.3

=== debian/changelog ===
gdb-doc (7.3-1ubuntu1) oneiric; urgency=low

  * debian.control:
    - Add texlive-latex-base to build-depends to fix FTBFS

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 25 Sep 2011 19:32:27 -0400

gdb-doc (7.3-1) unstable; urgency=low

  * New upstream release.
  * Regenerate gdb/doc/configure.
  * Add myself to debian/copyright. 
  * Enable PDF format. 
  * Drop dir.gz from info directory. 
  * Add build dependency on texlive-generic-recommended.

 -- Hector Oron <zumbi@debian.org>  Wed, 14 Sep 2011 00:36:23 +0200

gdb-doc (7.2-2) unstable; urgency=low

  * New maintainer. (Closes: #631742: ITA: gdb-doc -- The GNU Debugger
    Documentation).
  * Add lintian override for description starting with article.
  * Force build directory removal when calling clean target.

 -- Hector Oron <zumbi@debian.org>  Thu, 14 Jul 2011 01:39:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: gdb-doc
-Maintainer: Daniel Jacobowitz <dan@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Hector Oron <zumbi@debian.org>
 Section: non-free/devel
 Priority: optional
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Build-Depends: cdbs (>= 0.4.17), debhelper (>= 7)
-Build-Depends-Indep: autoconf, texinfo (>= 4.7-2.2)
+Build-Depends-Indep: autoconf, texinfo (>= 4.7-2.2), texlive-generic-recommended, texlive-latex-base
 
 Package: gdb-doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 # Override to only configure documentation.
 DEB_CONFIGURE_SCRIPT = $(CURDIR)/gdb/doc/configure
+DEB_CONFIGURE_EXTRA_FLAGS = --srcdir="../gdb/doc"
 
 # Rather paranoid than sorry. Make the shell exit with an error if an
 # untested command fails.
@@ -18,9 +19,13 @@
 INSTALL = /usr/bin/install -p
 export INSTALL
 
-DEB_MAKE_BUILD_TARGET = all info html
+DEB_MAKE_BUILD_TARGET = all info html pdf
 
-build/gdb-doc:: $(DEB_BUILDDIR)/html
+build/gdb-doc:: $(DEB_BUILDDIR)/html $(DEB_BUILDDIR)/pdf
+
+$(DEB_BUILDDIR)/pdf:
+	mkdir $(DEB_BUILDDIR)/pdf
+	mv $(DEB_BUILDDIR)/*.pdf $(DEB_BUILDDIR)/pdf/
 
 $(DEB_BUILDDIR)/html:
 	mkdir $(DEB_BUILDDIR)/html
@@ -30,8 +35,10 @@
 
 common-binary-post-install-indep::
 	rm -f debian/gdb-doc/usr/share/info/annota*
+	rm -f debian/gdb-doc/usr/share/info/dir*
 	install -d debian/gdb-doc/usr/share/doc/gdb
 	ln -s ../gdb-doc/html debian/gdb-doc/usr/share/doc/gdb/html
+	ln -s ../gdb-doc/pdf debian/gdb-doc/usr/share/doc/gdb/pdf
 
 post-patches::
 	if ! test -f gdb/version.in.backup; then \
@@ -40,6 +47,7 @@
 	fi
 
 clean::
+	rm -rf $(DEB_BUILDDIR)
 	if test -f gdb/version.in.backup; then \
 	  mv -f gdb/version.in.backup gdb/version.in; \
 	fi

## gdb-doc 7.4

=== debian/changelog ===
gdb-doc (7.4-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.3 (no changes required).
  * Add patch for fixing documentation build.
  * Autoregenerate gdb/doc/configure on every build.

 -- Hector Oron <zumbi@debian.org>  Sat, 25 Feb 2012 17:33:14 +0100

gdb-doc (7.3-2) unstable; urgency=low

  * Add missing texlive-latex-base build dependency.
    - Thanks Jeremy Bicha (Closes: #642962)

 -- Hector Oron <zumbi@debian.org>  Mon, 26 Sep 2011 09:53:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: gdb-doc
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Hector Oron <zumbi@debian.org>
+Maintainer: Hector Oron <zumbi@debian.org>
 Section: non-free/devel
 Priority: optional
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends: cdbs (>= 0.4.17), debhelper (>= 7)
 Build-Depends-Indep: autoconf, texinfo (>= 4.7-2.2), texlive-generic-recommended, texlive-latex-base

## gdb-doc 7.4.1

=== debian/changelog ===
gdb-doc (7.4.1-2) unstable; urgency=low

  * Add build dependency on automake. (closes: #682406) 

 -- Hector Oron <zumbi@debian.org>  Fri, 27 Jul 2012 01:58:48 +0200

gdb-doc (7.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Hector Oron <zumbi@debian.org>  Fri, 18 May 2012 11:47:25 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Priority: optional
 Standards-Version: 3.9.3
 Build-Depends: cdbs (>= 0.4.17), debhelper (>= 7)
-Build-Depends-Indep: autoconf, texinfo (>= 4.7-2.2), texlive-generic-recommended, texlive-latex-base
+Build-Depends-Indep: automake, autoconf, texinfo (>= 4.7-2.2), 
+ texlive-generic-recommended, texlive-latex-base
 
 Package: gdb-doc
 Architecture: all

## gdb-doc 7.5

=== debian/changelog ===
gdb-doc (7.5-1) experimental; urgency=low

  * New upstream release:
    - Go language support.
    - New targets (x32 ABI, microMIPS, Renesas RL78, HP OpenVMS ia64).
    - More Python scripting improvements.
    - SDT (Static Defined Tracing) probes support with SystemTap probes.
    - GDBserver improvements (stdio connections, target-side evaluation of
      breakpoint conditions, remote protocol improvements).
    - Other miscellaneous improvements (ability to stop when a shared library
      is loaded/unloaded, dynamic printf, etc).
    - Reverse debugging on ARM.
    - The binary "gdbtui" has been abandoned and can no longer be built. Use
      "gdb -tui" instead.

 -- Hector Oron <zumbi@debian.org>  Wed, 19 Sep 2012 22:50:03 +0200

## gdb-doc 7.6~20130417

=== debian/changelog ===
gdb-doc (7.6~20130417-0ubuntu1) raring; urgency=low

  * Update to the 7.6 branch.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Apr 2013 00:17:11 +0200

=== debian/rules ===
--- 
+++ 
@@ -45,9 +45,10 @@
 	  mv -f gdb/version.in gdb/version.in.backup; \
 	  sed -e 's/$$/-debian/' < gdb/version.in.backup > gdb/version.in; \
 	fi
+	cd gdb/doc && autoreconf
 
 clean::
-	rm -rf $(DEB_BUILDDIR)
+	rm -rf $(DEB_BUILDDIR) gdb/doc/configure
 	if test -f gdb/version.in.backup; then \
 	  mv -f gdb/version.in.backup gdb/version.in; \
 	fi

## gdb-doc 7.6.1

=== debian/changelog ===
gdb-doc (7.6.1-0ubuntu1) saucy; urgency=low

  * New upstream release to match the new GDB upload.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 09 Oct 2013 00:18:01 -0600

gdb-doc (7.6-2) unstable; urgency=low

  * d/control: depend on texlive-latex-recommended instead -base.
    Fixes FTBFS. Thanks Jeremy Bicha.
    (Closes: #714406)

 -- Hector Oron <zumbi@debian.org>  Sat, 06 Jul 2013 10:45:56 +0000

gdb-doc (7.6-1) unstable; urgency=low

  [ Héctor Orón Martínez ]
  * New upstream release
  * d/gbp.conf: add gbp configuration file.

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 19 May 2013 00:42:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: gdb-doc
-Maintainer: Hector Oron <zumbi@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Héctor Orón Martínez <hector.oron@gmail.com>
 Section: non-free/devel
 Priority: optional
 Standards-Version: 3.9.3
 Build-Depends: cdbs (>= 0.4.17), debhelper (>= 7)
 Build-Depends-Indep: automake, autoconf, texinfo (>= 4.7-2.2), 
- texlive-generic-recommended, texlive-latex-base
+ texlive-generic-recommended, texlive-latex-recommended
 
 Package: gdb-doc
 Architecture: all

## gdb-doc 7.6.2

=== debian/changelog ===
gdb-doc (7.6.2-1ubuntu1) trusty; urgency=medium

  * Build-depend on texlive-fonts-recommended.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2014 14:42:32 +0100

gdb-doc (7.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Hector Oron <zumbi@debian.org>  Sun, 19 Jan 2014 01:39:37 +0100

=== debian/control ===
Source: gdb-doc
Maintainer: Héctor Orón Martínez <hector.oron@gmail.com>
Uploaders: Samuel Bronson <naesten@gmail.com>
Section: non-free/devel
Priority: optional
Standards-Version: 3.9.3
Build-Depends: cdbs (>= 0.4.17), debhelper (>= 7), automake, autoconf, texinfo (>= 4.7-2.2), 
 texlive-generic-recommended, texlive-latex-recommended, texlive-fonts-recommended

Package: gdb-doc
Architecture: any
Section: non-free/doc
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: gdb (<< 6.4.50.20060511-1), insight (<< 6.1+cvs.2004.04.07-1)
Description: The GNU Debugger Documentation
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, it works for C, C++, Fortran,
 Modula 2 and Java programs. A must-have for any serious
 programmer.
 .
 This package contains the GDB and GDB Internals manuals.

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	mv $(DEB_BUILDDIR)/gdbint $(DEB_BUILDDIR)/html/
 	mv $(DEB_BUILDDIR)/stabs $(DEB_BUILDDIR)/html/
 
-common-binary-post-install-indep::
+common-binary-post-install-arch::
 	rm -f debian/gdb-doc/usr/share/info/annota*
 	rm -f debian/gdb-doc/usr/share/info/dir*
 	install -d debian/gdb-doc/usr/share/doc/gdb

## gdb-doc 7.7.1+dfsg

=== debian/changelog ===
gdb-doc (7.7.1+dfsg-2) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * d/control: Adding Breaks+Replaces of the binary package gdb-doc on
    gdb-minimal (<< 7.7) as well as gdb and gdbserver, man pages were
    moved across packages.  Thanks Andreas Beckmann for finding the
    problem (Closes: #768213)
  * d/control: Add Vcs-* and Homepage fields
  * d/control: Update Standards-Version to 3.9.6 (no changes required)

  [ Hector Oron ]
  * Release to unstable
  * Update upstream tarball, matching gdb one.

 -- Hector Oron <zumbi@debian.org>  Sun, 09 Nov 2014 11:55:20 +0100

gdb-doc (7.7.1-1) unstable; urgency=medium

  * Imported Upstream version 7.7.1
    - The Internals manual is no more (due to its woeful inadequacy).
  * Totally reworked the build process
    - Instead of using a patch to add a dummy configure script to gdb/doc/
      in a more-or-less hand-picked subset of the upstream tree, just use
      the entire upstream tarball and pass a whole slew of --disable- flags
    - Redo the build dependencies from scratch
  * Move back to the "Software development" section in info's (dir):
    "Development" is almost empty now.
  * Ship manpages (except gcore.1 because that's misleading)
    - This is due to a license change upstream that happened when the
      manpages were moved into gdb.texinfo
    - Replaces/Breaks on gdb (<< 7.7), gdbserver (<< 7.7) because they
      shipped these pages

 -- Samuel Bronson <naesten@gmail.com>  Sat, 24 May 2014 01:29:55 -0400

=== debian/control ===
Source: gdb-doc
Maintainer: Héctor Orón Martínez <hector.oron@gmail.com>
Uploaders: Samuel Bronson <naesten@gmail.com>
Section: non-free/devel
Priority: optional
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 7),
# These are just to satisfy the configure scripts ...
 libtinfo-dev
Build-Depends-Indep:
 texinfo (>= 4.7-2.2),
# need at least "lcircle10.tfm" from here
 texlive-latex-base,
# need "ec" family from here ...
 texlive-fonts-recommended,
# ... and the Type1 fonts for "ec" from here
 cm-super
Vcs-Git: git://anonscm.debian.org/pkg-gdb/gdb-doc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gdb/gdb-doc.git
Homepage: http://www.gnu.org/s/gdb/

Package: gdb-doc
Architecture: all
Section: non-free/doc
Depends: ${misc:Depends}
Breaks: gdb (<< 7.7), gdb-minimal (<< 7.7), gdbserver (<< 7.7)
Replaces: gdb (<< 7.7), gdb-minimal (<< 7.7), gdbserver (<< 7.7)
Description: The GNU Debugger Documentation
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, it works for C, C++, Fortran,
 Modula 2 and Java programs. A must-have for any serious
 programmer.
 .
 This package contains the GDB manual.

## gdb-doc 7.12

=== debian/changelog ===
gdb-doc (7.12-2) unstable; urgency=medium

  * Bump Debian revision, no changes. (Closes: #848307)

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 16 Dec 2016 13:36:53 +0100

gdb-doc (7.12-1) unstable; urgency=medium

  * New upstream version 7.12
  * debian/compat: bump to 9, no changes.
  * debian/source/lintian-overrides:
    - silent bogus lintian warnings, readline stuff we don't use.

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 15 Dec 2016 13:45:15 +0100

gdb-doc (7.11.1-1) unstable; urgency=medium

  * New upstream release.

 -- Riku Voipio <riku.voipio@linaro.org>  Thu, 16 Jun 2016 15:40:18 +0300

gdb-doc (7.10-1) unstable; urgency=medium

  * New upstream release.

 -- Hector Oron <zumbi@debian.org>  Tue, 08 Sep 2015 19:36:37 +0200

gdb-doc (7.8.2-1) experimental; urgency=medium

  * New upstream release. 

 -- Hector Oron <zumbi@debian.org>  Sat, 24 Jan 2015 11:49:55 +0100

gdb-doc (7.8.1-1) experimental; urgency=medium

  * New upstream release. 

 -- Hector Oron <zumbi@debian.org>  Sun, 09 Nov 2014 17:32:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: gdb-doc
-Maintainer: Héctor Orón Martínez <hector.oron@gmail.com>
-Uploaders: Samuel Bronson <naesten@gmail.com>
+Maintainer: Héctor Orón Martínez <zumbi@debian.org>
+Uploaders: Samuel Bronson <naesten@gmail.com>, Riku Voipio <riku.voipio@linaro.org>
 Section: non-free/devel
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 7),
 # These are just to satisfy the configure scripts ...
  libtinfo-dev

## gdb-doc 8.2.1

=== debian/changelog ===
gdb-doc (8.2.1-1) unstable; urgency=medium

  * New upstream version 8.2.1

 -- Héctor Orón Martínez <hector.oron@collabora.co.uk>  Fri, 08 Feb 2019 13:20:29 +0100

gdb-doc (8.2-1) unstable; urgency=medium

  * New upstream version 8.2

 -- Héctor Orón Martínez <zumbi@debian.org>  Sat, 08 Dec 2018 19:31:37 +0100

gdb-doc (8.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: update Vcs-* fields to point to salsa
  * debian/control: thanks Samuel Bronson for past work

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 15 Jul 2018 03:15:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: gdb-doc
 Maintainer: Héctor Orón Martínez <zumbi@debian.org>
-Uploaders: Samuel Bronson <naesten@gmail.com>, Riku Voipio <riku.voipio@linaro.org>
+Uploaders: Riku Voipio <riku.voipio@linaro.org>
 Section: non-free/devel
 Priority: optional
 Standards-Version: 3.9.8
@@ -15,8 +15,8 @@
  texlive-fonts-recommended,
 # ... and the Type1 fonts for "ec" from here
  cm-super
-Vcs-Git: git://anonscm.debian.org/pkg-gdb/gdb-doc.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gdb/gdb-doc.git
+Vcs-Git: https://salsa.debian.org/gdb-team/gdb-doc.git
+Vcs-Browser: https://salsa.debian.org/gdb-team/gdb-doc
 Homepage: http://www.gnu.org/s/gdb/
 
 Package: gdb-doc

## gdb-doc 8.3

=== debian/changelog ===
gdb-doc (8.3-1) unstable; urgency=medium

  * New upstream version 8.3

 -- Héctor Orón Martínez <zumbi@debian.org>  Mon, 22 Jul 2019 04:45:10 +0200

## gdb-doc 9.1

=== debian/changelog ===
gdb-doc (9.1-1) unstable; urgency=medium

  * New upstream version 9.1
  * debian/control: bump standards version, no changes

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 09 Feb 2020 17:22:06 +0100

gdb-doc (8.3.1-1) unstable; urgency=medium

  * New upstream version 8.3.1
  * debian/control: bump standards version, introduce Rules-Requires-Root
    field.

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 11 Oct 2019 14:28:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Uploaders: Riku Voipio <riku.voipio@linaro.org>
 Section: non-free/devel
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Build-Depends: debhelper (>= 7),
 # These are just to satisfy the configure scripts ...
  libtinfo-dev
@@ -18,6 +19,7 @@
 Vcs-Git: https://salsa.debian.org/gdb-team/gdb-doc.git
 Vcs-Browser: https://salsa.debian.org/gdb-team/gdb-doc
 Homepage: http://www.gnu.org/s/gdb/
+XS-Autobuild: yes
 
 Package: gdb-doc
 Architecture: all

## gdb-doc 10.1

=== gdb/features/Makefile ===
# Copyright (C) 2007-2020 Free Software Foundation, Inc.

# This file is part of GDB.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


# This file requires GNU make!

# This Makefile updates files in ../regformats from their XML master
# copies.  Because this relies on xsltproc, it is not normally run
# during the build process; it should be run by hand when one of the
# affected XML files is changed, and the results should be kept in the
# GDB repository.

# It can also update the C files in the features directory from their
# XML master copies.  This relies on a GDB linked with expat and that
# is configured to include support for the architecture, so the files
# are kept in the GDB repository.
#
# By default we'll generate all C files, and you must point make at a
# GDB that has been configured with --enable-targets=all:
#
#   make GDB=/path/to/gdb cfiles
#
# To regenerate all C files from scratch:
#
#   make GDB=/path/to/gdb clean-cfiles cfiles
#
# To generate specific C files, you can override the XMLTOC and
# FEATURE_XMLFILES make variables:
#
#   make GDB=/path/to/gdb XMLTOC="xml files" FEATURE_XMLFILES="xml files" cfiles

# List of .dat files to create in ../regformats/
WHICH = mips-linux mips-dsp-linux \
	microblaze-with-stack-protect \
	mips64-linux mips64-dsp-linux \
	nios2-linux \
	rs6000/powerpc-32 \
	rs6000/powerpc-32l rs6000/powerpc-altivec32l rs6000/powerpc-e500l \
	rs6000/powerpc-64l rs6000/powerpc-altivec64l rs6000/powerpc-vsx32l \
	rs6000/powerpc-vsx64l \
	rs6000/powerpc-isa205-32l rs6000/powerpc-isa205-64l \
	rs6000/powerpc-isa205-altivec32l rs6000/powerpc-isa205-altivec64l \
	rs6000/powerpc-isa205-vsx32l rs6000/powerpc-isa205-vsx64l \
	rs6000/powerpc-isa205-ppr-dscr-vsx32l \
	rs6000/powerpc-isa205-ppr-dscr-vsx64l \
	rs6000/powerpc-isa207-vsx32l rs6000/powerpc-isa207-vsx64l \
	rs6000/powerpc-isa207-htm-vsx32l \
	rs6000/powerpc-isa207-htm-vsx64l \
	s390-linux32 s390-linux64 s390x-linux64 \
	s390-linux32v1 s390-linux64v1 s390x-linux64v1 \
	s390-linux32v2 s390-linux64v2 s390x-linux64v2 \
	s390-te-linux64 s390x-te-linux64 s390-vx-linux64 s390x-vx-linux64 \
	s390-tevx-linux64 s390x-tevx-linux64 \
	s390-gs-linux64 s390x-gs-linux64 \
	tic6x-c64xp-linux tic6x-c64x-linux tic6x-c62x-linux

# Record which registers should be sent to GDB by default after stop.
aarch64-expedite = x29,sp,pc
arm-expedite = r11,sp,pc
i386-expedite = ebp,esp,eip
amd64-expedite = rbp,rsp,rip
x32-expedite = rbp,rsp,rip
mips-expedite = r29,pc
mips-dsp-expedite = r29,pc
mips64-expedite = r29,pc
mips64-dsp-expedite = r29,pc
microblaze-expedite = r1,rpc
nios2-linux-expedite = sp,pc
or1k-expedite = r1,npc
powerpc-expedite = r1,pc
s390-linux32-expedite = r14,r15,pswa
s390-linux32v1-expedite = r14,r15,pswa
s390-linux32v2-expedite = r14,r15,pswa
s390-linux64-expedite = r14l,r15l,pswa
s390-linux64v1-expedite = r14l,r15l,pswa
s390-linux64v2-expedite = r14l,r15l,pswa
s390-te-linux64-expedite = r14l,r15l,pswa
s390-vx-linux64-expedite = r14l,r15l,pswa
s390-tevx-linux64-expedite = r14l,r15l,pswa
s390-gs-linux64-expedite = r14,r15,pswa
s390x-expedite = r14,r15,pswa
tic6x-expedite = A15,PC


XSLTPROC = xsltproc
outdir = ../regformats
OUTPUTS = $(patsubst %,$(outdir)/%.dat,$(WHICH))

# For targets without feature based target descriptions,
# the set of xml files we'll generate .c files for GDB from.  By
# default we'll build all .c files, which requires an
# --enable-targets=all GDB.  You can override this by passing XMLTOC
# to make on the command line.
XMLTOC = \
	microblaze-with-stack-protect.xml \
	microblaze.xml \
	mips-dsp-linux.xml \
	mips-linux.xml \
	mips64-dsp-linux.xml \
	mips64-linux.xml \
	nds32.xml \
	nios2.xml \
	or1k.xml \
	rs6000/powerpc-32.xml \
	rs6000/powerpc-32l.xml \
	rs6000/powerpc-403.xml \
	rs6000/powerpc-403gc.xml \
	rs6000/powerpc-405.xml \
	rs6000/powerpc-505.xml \
	rs6000/powerpc-601.xml \
	rs6000/powerpc-602.xml \
	rs6000/powerpc-603.xml \
	rs6000/powerpc-604.xml \
	rs6000/powerpc-64.xml \
	rs6000/powerpc-64l.xml \
	rs6000/powerpc-7400.xml \
	rs6000/powerpc-750.xml \
	rs6000/powerpc-860.xml \
	rs6000/powerpc-altivec32.xml \
	rs6000/powerpc-altivec32l.xml \
	rs6000/powerpc-altivec64.xml \
	rs6000/powerpc-altivec64l.xml \
	rs6000/powerpc-e500.xml \
	rs6000/powerpc-e500l.xml \
	rs6000/powerpc-isa205-32l.xml \
	rs6000/powerpc-isa205-64l.xml \
	rs6000/powerpc-isa205-altivec32l.xml \
	rs6000/powerpc-isa205-altivec64l.xml \
	rs6000/powerpc-isa205-vsx32l.xml \
	rs6000/powerpc-isa205-vsx64l.xml \
	rs6000/powerpc-isa205-ppr-dscr-vsx32l.xml \
	rs6000/powerpc-isa205-ppr-dscr-vsx64l.xml \
	rs6000/powerpc-isa207-vsx32l.xml \
	rs6000/powerpc-isa207-vsx64l.xml \
	rs6000/powerpc-isa207-htm-vsx32l.xml \
	rs6000/powerpc-isa207-htm-vsx64l.xml \
	rs6000/powerpc-vsx32.xml \
	rs6000/powerpc-vsx32l.xml \
	rs6000/powerpc-vsx64.xml \
	rs6000/powerpc-vsx64l.xml \
	rs6000/rs6000.xml \
	s390-linux32.xml \
	s390-linux32v1.xml \
	s390-linux32v2.xml \
	s390-linux64.xml \
	s390-linux64v1.xml \
	s390-linux64v2.xml \
	s390-te-linux64.xml \
	s390x-linux64.xml \
	s390x-linux64v1.xml \
	s390x-linux64v2.xml \
	s390x-te-linux64.xml \
	s390-tevx-linux64.xml \
	s390-vx-linux64.xml \
	s390x-tevx-linux64.xml \
	s390x-vx-linux64.xml \
	s390-gs-linux64.xml \
	s390x-gs-linux64.xml

TDESC_CFILES = $(patsubst %.xml,%.c,$(XMLTOC))
GDB = false

#Targets which use feature based target descriptions.
aarch64-feature = 1
arm-feature = 1
i386-feature = 1
riscv-feature = 1
tic6x-feature = 1

all: $(OUTPUTS)

$(outdir)/%.dat: %.xml number-regs.xsl sort-regs.xsl gdbserver-regs.xsl
	echo "# THIS FILE IS GENERATED.  -*- buffer-read-only: t -*- vi :set ro:" > $(outdir)/$*.tmp
	echo "# Generated from: $<" >> $(outdir)/$*.tmp
	echo "name:`echo $(notdir $*) | sed 's/-/_/g'`" >> $(outdir)/$*.tmp
	$(if $($(firstword $(subst /, ,$(subst -, ,$*)))-feature), echo "feature:1") >> $(outdir)/$*.tmp
	echo "xmltarget:$(<F)" >> $(outdir)/$*.tmp
	echo "expedite:$(if $($*-expedite),$($*-expedite),$($(firstword $(subst -, ,$(notdir $*)))-expedite))" \
	  >> $(outdir)/$*.tmp
	$(XSLTPROC) --path "$(PWD)" --xinclude number-regs.xsl $< | \
	  $(XSLTPROC) sort-regs.xsl - | \
	  $(XSLTPROC) gdbserver-regs.xsl - >> $(outdir)/$*.tmp
	sh ../../move-if-change $(outdir)/$*.tmp $(outdir)/$*.dat

# For targets with feature based target descriptions,
# the set of xml files we'll generate .c files for GDB from.
FEATURE_XMLFILES = aarch64-core.xml \
	aarch64-fpu.xml \
	aarch64-pauth.xml \
	arc/v1-core.xml \
	arc/v1-aux.xml \
	arc/v2-core.xml \
	arc/v2-aux.xml \
	arm/arm-core.xml \
	arm/arm-fpa.xml \
	arm/arm-m-profile.xml \
	arm/arm-m-profile-with-fpa.xml \
	arm/arm-vfpv2.xml \
	arm/arm-vfpv3.xml \
	arm/xscale-iwmmxt.xml \
	i386/32bit-core.xml \
	i386/32bit-sse.xml \
	i386/32bit-linux.xml \
	i386/32bit-avx.xml \
	i386/32bit-mpx.xml \
	i386/32bit-avx512.xml \
	i386/32bit-pkeys.xml \
	i386/64bit-avx512.xml \
	i386/64bit-core.xml \
	i386/64bit-mpx.xml \
	i386/64bit-segments.xml \
	i386/64bit-avx.xml \
	i386/64bit-linux.xml \
	i386/64bit-pkeys.xml \
	i386/64bit-sse.xml \
	i386/x32-core.xml \
	riscv/32bit-cpu.xml \
	riscv/32bit-fpu.xml \
	riscv/64bit-cpu.xml \
	riscv/64bit-fpu.xml \
	rx.xml \
	tic6x-c6xp.xml \
	tic6x-core.xml \
	tic6x-gp.xml

FEATURE_CFILES = $(patsubst %.xml,%.c,$(FEATURE_XMLFILES))

cfiles: $(TDESC_CFILES) $(FEATURE_CFILES)

$(TDESC_CFILES): %.c: %.xml
	$(GDB) -nx -q -batch -ex 'maint print c-tdesc $<' > $@.tmp
	sh ../../move-if-change $@.tmp $@

$(FEATURE_CFILES): %.c: %.xml.tmp
	$(GDB) -nx -q -batch \
	  -ex 'maint print c-tdesc $<' > $@.tmp
	sh ../../move-if-change $@.tmp $@
	rm $<

# %.xml is the XML file for each target description feature, and
# %.xml.tmp is the XML file target description which only includes
# one target description feature.

%.xml.tmp: %.xml
	echo "<?xml version=\"1.0\"?>" > $@.tmp
	echo "<!DOCTYPE target SYSTEM \"gdb-target.dtd\">" >> $@.tmp
	echo "<target>" >> $@.tmp
	echo "  <xi:include href=\"$(notdir $<)\"/>" >> $@.tmp
	echo "</target>" >> $@.tmp
	sh ../../move-if-change $@.tmp $@

# 'all' doesn't build the C files, so don't delete them in 'clean'
# either.
clean-cfiles:
	rm -f $(TDESC_CFILES) $(FEATURE_CFILES)

clean:
	rm -f $(OUTPUTS)

=== debian/changelog ===
gdb-doc (10.1-1) unstable; urgency=medium

  * New upstream version 10.1

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 08 Nov 2020 16:45:20 +0100

gdb-doc (9.2-1) unstable; urgency=medium

  * New upstream version 9.2
  * debian/copyright: update URL to https
  * debian/control: update Homepage to https URL (Closes: #953165)
  * debian/gdb-doc.info: remove

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 27 May 2020 19:52:29 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  cm-super
 Vcs-Git: https://salsa.debian.org/gdb-team/gdb-doc.git
 Vcs-Browser: https://salsa.debian.org/gdb-team/gdb-doc
-Homepage: http://www.gnu.org/s/gdb/
+Homepage: https://www.gnu.org/software/gdb/
 XS-Autobuild: yes
 
 Package: gdb-doc

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BUILDDIR = objdir
DOCDIR = /usr/share/doc/gdb-doc

DH_AUTO_OPTIONS = -B$(BUILDDIR)

# Flags to configure as little as possible
CONFIGURE_FLAGS = $(shell ls -d */|sed -e 's|\(.*\)/|--disable-\1|'|grep -v gdb)
CONFIGURE_FLAGS += --without-zlib --without-expat --without-python
CONFIGURE_FLAGS += --without-lzma --without-tcl --without-x
CONFIGURE_FLAGS += --without-babeltrace --without-gdbserver

# Let the manual mention this path
CONFIGURE_FLAGS += --with-system-gdbinit=/etc/gdb/gdbinit

# Need eponymous and "install-" targets in gdb/doc/
DOCTARGETS = pdf info html man

INSTALLTARGETS = $(patsubst %,install-%,$(DOCTARGETS))

$(BUILDDIR)/config.status: configure
	dh_testdir
	dh_auto_configure $(DH_AUTO_OPTIONS) -- $(CONFIGURE_FLAGS)

build: build-arch build-indep
build-arch:
build-indep: build-stamp

build-stamp: $(BUILDDIR)/config.status
	dh_testdir
	$(MAKE) -C $(BUILDDIR) configure-gdb
	# "MAKEINFOFLAGS=--no-split" would go on the next line
	$(MAKE) -C $(BUILDDIR)/gdb/doc $(DOCTARGETS)
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -rf $(BUILDDIR)
	rm -f build-stamp 
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep

	dh_installdirs
	$(MAKE) -C $(BUILDDIR)/gdb/doc DESTDIR=$(CURDIR)/debian/gdb-doc \
		docdir=$(DOCDIR) pdfdir=$(DOCDIR)/pdf htmldir=$(DOCDIR)/html \
		$(INSTALLTARGETS)

	# This manual documents a long-obsolete facility
	rm -f debian/gdb-doc/usr/share/info/annota*
	rm -rf debian/gdb-doc/usr/share/doc/gdb-doc/{pdf,html}/annota*

	# This manpage is worse than the outdated one in gdb installs
	# from its debian/ directory!
	rm -f debian/gdb-doc/usr/share/man/man1/gcore.*

	# This is just trash left behind by install-info(1)/dh_installinfo(1)
	rm -f debian/gdb-doc/usr/share/info/dir*

	# Symlink stuff into gdb's doc directory
	install -d debian/gdb-doc/usr/share/doc/gdb
	ln -s ../gdb-doc/html debian/gdb-doc/usr/share/doc/gdb/html
	ln -s ../gdb-doc/pdf debian/gdb-doc/usr/share/doc/gdb/pdf

# Build architecture-independent files here.
binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs gdb/doc/ChangeLog
	dh_installdocs
#	dh_installexamples
#	dh_install
	dh_installinfo
#	dh_lintian
#	dh_undocumented
	dh_installman
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch:

binary: binary-indep binary-arch
.PHONY: build build-indep build-arch clean binary-indep binary-arch binary install

## gdb-doc 12.1

=== debian/changelog ===
gdb-doc (12.1-1) unstable; urgency=medium

  * Remove and thank Riku Voipio for past contributions
    (Closes: #1001569, #883815)
  * Bump standards version, no changes
  * New upstream version 12.1
  * debian/control: build depend on libgmp-dev.
    (Closes: #1011755)

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 22 Jun 2022 18:17:13 +0200

gdb-doc (11.2-1) unstable; urgency=medium

  * New upstream version 11.2

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 29 Apr 2022 18:26:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: gdb-doc
 Maintainer: Héctor Orón Martínez <zumbi@debian.org>
-Uploaders: Riku Voipio <riku.voipio@linaro.org>
 Section: non-free/devel
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Build-Depends: debhelper (>= 7),
 # These are just to satisfy the configure scripts ...
@@ -15,7 +14,8 @@
 # need "ec" family from here ...
  texlive-fonts-recommended,
 # ... and the Type1 fonts for "ec" from here
- cm-super
+ cm-super,
+ libgmp-dev
 Vcs-Git: https://salsa.debian.org/gdb-team/gdb-doc.git
 Vcs-Browser: https://salsa.debian.org/gdb-team/gdb-doc
 Homepage: https://www.gnu.org/software/gdb/

=== debian/rules ===
--- 
+++ 
@@ -74,7 +74,6 @@
 binary-indep: install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs gdb/doc/ChangeLog
 	dh_installdocs
 #	dh_installexamples
 #	dh_install

## gdb-doc 13.1

=== debian/changelog ===
gdb-doc (13.1-1) unstable; urgency=high

  * New upstream version 13.1
    (Closes: #1031626)
  * debian/compat: bump to 10, no changes
  * drop lintian overrides, no longer needed
  * debian/rules: install changelogs
  * debian/control:
    - drop dependency, no longer needed
    - bump debhelper to v10
    - bump standards version, no changes
    - adjust build dependencies

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 23 Feb 2023 19:38:27 +0100

gdb-doc (13.0.91.20230210-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload including binary packages.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Feb 2023 10:55:30 +0100

gdb-doc (13.0.91.20230210-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * gdb 13.1 release candidate.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Feb 2023 05:07:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,12 @@
 Maintainer: Héctor Orón Martínez <zumbi@debian.org>
 Section: non-free/devel
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 7),
-# These are just to satisfy the configure scripts ...
- libtinfo-dev
+Build-Depends: debhelper (>= 10)
 Build-Depends-Indep:
  texinfo (>= 4.7-2.2),
-# need at least "lcircle10.tfm" from here
  texlive-latex-base,
-# need "ec" family from here ...
- texlive-fonts-recommended,
-# ... and the Type1 fonts for "ec" from here
- cm-super,
  libgmp-dev
 Vcs-Git: https://salsa.debian.org/gdb-team/gdb-doc.git
 Vcs-Browser: https://salsa.debian.org/gdb-team/gdb-doc

=== debian/rules ===
--- 
+++ 
@@ -80,6 +80,7 @@
 	dh_installinfo
 #	dh_lintian
 #	dh_undocumented
+	dh_installchangelogs
 	dh_installman
 	dh_link
 	dh_compress
